{ config, ... }:
{
  services.globalprotect.enable = true;

  virtualisation = {
    libvirtd.enable = true;
    vmware.host.enable = true;
  };

  nixpkgs.allowUnfreePackages = [ "vmware-workstation" ];

  environment.persistence."/persist".users.${config.sysusers.main}.directories = [
    "vmware"
    ".vmware"
  ];
}
