{ lib, ... }:
{
  imports = [
    ./boot
    ./disko
    ./filesystems
    ./hardware
    ./network
    ./users
    ../../modules/system
  ];

  networking.hostName = "redmond";

  system = {
    desktop.enable = true;
    stateVersion = "24.05";
  };

  environment.sessionVariables.WLR_RENDERER = lib.mkForce "gles2";
}
